diff --git a/src/cc65/typeconv.c b/src/cc65/typeconv.c
index 7e2787529e..c9163eb518 100644
--- a/src/cc65/typeconv.c
+++ b/src/cc65/typeconv.c
@@ -124,7 +124,7 @@ static void DoConversion (ExprDesc* Expr, const Type* NewType)
             LoadExpr (CF_NONE, Expr);
 
             /* Emit typecast code */
-            g_typecast (TypeOf (NewType), TypeOf (OldType) | CF_FORCECHAR);
+            g_typecast (TypeOf (NewType), TypeOf (OldType));
 
             /* Value is now in primary and an rvalue */
             ED_FinalizeRValLoad (Expr);
@@ -175,7 +175,7 @@ static void DoConversion (ExprDesc* Expr, const Type* NewType)
             LoadExpr (CF_NONE, Expr);
 
             /* Emit typecast code. */
-            g_typecast (TypeOf (NewType), TypeOf (OldType) | CF_FORCECHAR);
+            g_typecast (TypeOf (NewType), TypeOf (OldType));
 
             /* Value is now an rvalue in the primary */
             ED_FinalizeRValLoad (Expr);
diff --git a/test/todo/bug327.c b/test/val/bug327.c
similarity index 100%
rename from test/todo/bug327.c
rename to test/val/bug327.c
